Subject: bug#45303: #45303 [feature/native-comp] building error on Windows

From: Andrea Corallo <[email-masked]>
Date: Sun, 20 Dec 2020 19:07:46 +0000

Pal Gloss <[email-masked]> writes:

> Hi Andrea,
>  
> Sorry for sending my previous mail to your address only and not to the bug tracker.
> I'm not used to debbugs (as you can guess from the many HTML mails I sent, blush).

No issue :)

> I wrote 
>> > I do not understand 3b53a591faed03679382a601b93da7fe6ce3b4af: the way
> You answered
>> No you are right, this morning I was a little in a rush and I might have
>> failed grepping, hopefully ab985f41db is better.
>
> There are still problems related to the usage of Fdirectory_files and
> internal_condition_case_5 I think.  At least, I get a crash after the
> bootstrap is dumped (? see attached build log)
>
>     Debugger entered--Lisp error: (wrong-type-argument wholenump t)

Not too surprised, this code is not leveraged since a while :/

>> With 407fb16583 I think '-lgccjit' should be unnecessary on Windows now, is it?
>
> It is still needed, see my previous mail.  But adding -lgccjit allows the build
> to proceed but crashes later on.

Hopefully this is fixed now by 3bb2fd0c58?

> Can I propose a patch if I have not signed the paperwork?

IIRC there is a cumulative limit of like 10 lines for patches to be
accepted with no assignment.

The right fix for this is to take action *now* and ask maintainers for
your paperworks :)  It would be great to have a contributor regularly
compiling this build.  Yes I will break it again...

> Thank you for this great new feature.

Thank you for the help.

  Andrea